Bug 542340 - Deleted rpm and yum resulting in unusable and unrecoverable system
Summary: Deleted rpm and yum resulting in unusable and unrecoverable system
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 11
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-29 11:28 UTC by Anil Seth
Modified: 2010-06-28 15:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:31:21 UTC
Type: ---


Attachments (Terms of Use)

Description Anil Seth 2009-11-29 11:28:47 UTC
Description of problem:

While trying to remove development packages and some languages related pakages, the dependencies escalated to include yum, rpm, X, etc... I clicked without verifying the list of dependencies. Packagekit cleaned up rpm and yum resulting in an unrecoverable system requiring reinstallation.

Version-Release number of selected component (if applicable):
Fedora 11

How reproducible:
Fortunately, not.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
PackageKit should not commit suicide and get rid of core packages.

Additional info:
I had been upgrading my parents system using yum from Fedora 8 to Fedora 11. Before upgrading to Fedora 12, I wanted to clean the development and extra groups of packages which they did not need. This was my worst fedora experience http://sethanil.blogspot.com/2009/11/my-worst-experience-with-fedora.html

Comment 1 Richard Hughes 2009-11-30 08:53:54 UTC
What other packages do you think are "critical" and should not be removed?

Comment 2 Richard Hughes 2009-11-30 09:07:01 UTC
commit 4fb54a5c0da723400db5328e6293221f349114fa
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Nov 30 09:05:39 2009 +0000

    yum: protect against yum, rpm and glibc from being removd manually or as deps in RemovePackages()

Comment 3 Anil Seth 2009-11-30 09:36:02 UTC
If rpm and yum are functional, system can be recovered. 

In addition, if the packagekit gui is being used, it might be desirable to preserve the desktop environment. That, though, seems to be messy to do consistently and safely given the number of possibilities. 

Restricting the desktop possibilities to gnome and kde may be adequate as users of other environments are likely to be knowledgeable.

Comment 4 Bug Zapper 2010-04-28 11:28:10 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 15:31:21 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.